- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
RagTime5SpreadsheetInternal::Unknown5Parser Struct Reference

Internal: the helper to read a unknown list data. More...

Inheritance diagram for RagTime5SpreadsheetInternal::Unknown5Parser:

## Public Member Functions
| Unknown5Parser (std::string const &zoneName, int fieldSize)
| constructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &zone, int n, libmwaw::DebugStream &f)
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
int | m_fieldSize
| the field size More...

## Private Member Functions
| Unknown5Parser (Unknown5Parser &orig)
| copy constructor, not implemented More...
Unknown5Parser & | operator= (Unknown5Parser &orig)
| copy operator, not implemented More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a unknown list data.

## Constructor & Destructor Documentation

RagTime5SpreadsheetInternal::Unknown5Parser::Unknown5Parser | ( | std::string const & | zoneName,
|  | int | fieldSize
| ) |  |
| inline

constructor

RagTime5SpreadsheetInternal::Unknown5Parser::Unknown5Parser | ( | Unknown5Parser & | orig | ) |
| private

copy constructor, not implemented

## Member Function Documentation

Unknown5Parser& RagTime5SpreadsheetInternal::Unknown5Parser::operator= | ( | Unknown5Parser & | orig | ) |
| private

copy operator, not implemented

bool RagTime5SpreadsheetInternal::Unknown5Parser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | zone,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

int RagTime5SpreadsheetInternal::Unknown5Parser::m_fieldSize

the field size

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx